gi-gdkx11-3.0.10: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DisplayManager

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype X11DisplayManager = X11DisplayManager (ManagedPtr X11DisplayManager)
- class (GObject o, IsDescendantOf X11DisplayManager o) => IsX11DisplayManager o
- toX11DisplayManager :: (MonadIO m, IsX11DisplayManager o) => o -> m X11DisplayManager

# Exported types

newtype X11DisplayManager Source #

Memory-managed wrapper type.

Constructors

X11DisplayManager (ManagedPtr X11DisplayManager) |

#### Instances

Instances details

Eq X11DisplayManager Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager Methods (==) :: X11DisplayManager -> X11DisplayManager -> Bool # (/=) :: X11DisplayManager -> X11DisplayManager -> Bool #
GObject X11DisplayManager Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager
TypedObject X11DisplayManager Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager Methods glibType :: IO GType Source #
ManagedPtrNewtype X11DisplayManager Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager Methods toManagedPtr :: X11DisplayManager -> ManagedPtr X11DisplayManager Source #
IsGValue X11DisplayManager Source # | Convert `X11DisplayManager` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager Methods toGValue :: X11DisplayManager -> IO GValue Source # fromGValue :: GValue -> IO X11DisplayManager Source #
HasParentTypes X11DisplayManager Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager
type ParentTypes X11DisplayManager Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager type ParentTypes X11DisplayManager = '[DisplayManager, Object]

class (GObject o, IsDescendantOf X11DisplayManager o) => IsX11DisplayManager o Source #

Type class for types which can be safely cast to `X11DisplayManager`, for instance with `toX11DisplayManager`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DisplayManager o) => IsX11DisplayManager o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DisplayManager

toX11DisplayManager :: (MonadIO m, IsX11DisplayManager o) => o -> m X11DisplayManager Source #

Cast to `X11DisplayManager`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods